/* variables
============ */

:root {
  --ff-main: system-ui, -apple-system, "Segoe UI", Roboto, Helvetica, Arial,
    sans-serif, "Apple Color Emoji", "Segoe UI Emoji";

  --ff-title: var(--ff-main);

  --ff-mono: ui-monospace, SFMono-Regular, Consolas, "Liberation Mono", Menlo,
    monospace;

  --font-main: 1rem var(--ff-main);
  --font-mono: 1rem var(--ff-mono);
  --font-title: 1.5rem/0.9 var(--ff-title);
  --font-small: 0.7rem var(--ff-main);
  --fs-quote: 1.5rem;

  --max-width: 700px;
  --nav-width: 450px;

  --featured_img_height: 300px;

  --space-unit: 1rem;
  --small-gap: calc(0.3 * 1rem);

  --cols: 3;

  --anim-speed: 0.5s;

  --bg: #eee;
  --color-bg: #fff;
  --color-fg: #000;
  --color-dim-bg: #eee;
  --color-dim-fg: #555;
  --color-primary: var(--color-dim-fg);
  --color-primary-bg: var(--color-primary);
  --color-primary-fg: #fff;

  --bg-header: #fff;
  --color-fg-header: #000;

  --bg-footer: #fff;
  --color-fg-footer: #000;

  --color-success-bg: #6ac35c;
  --color-danger-bg: #ff5181;
  --color-warning-bg: #ffa984;
}

html.no-js .js {
  display: none;
}
html.js .no-js {
  display: none;
}

/* loading
========== */

.is-loading .main > * {
  transition: opacity 1s;
}
.is-loading .main > * {
  opacity: 0.5;
}

/* animations
============= */

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes slideUp {
  0% {
    translate: 0 100%;
    opacity: 0;
  }
  100% {
    translate: 0 0%;
    opacity: 1;
  }
}

/* navigation
============= */

:focus:not(:focus-visible) {
  outline: none;
}
:focus-visible {
  outline: 3px solid;
  outline-offset: 0;
}

/* fonts
======== */

body {
  font-family: var(--ff-main);
}

.wp-block-preformatted,
.font-monospace,
code,
kbd,
pre,
samp {
  font-family: var(--ff-mono);
  white-space: pre-wrap;
}

.site__header__logo,
.name,
h1,
h2 {
  font-family: var(--ff-title);
  /* font: var(--font-title); */
}

:where(:not(.order_details) > .cat),
:where(:not(.order_details) > .author),
:where(:not(.order_details) > .date) {
  font: var(--font-small);
}

/* layout
========= */

.cat .leaf,
.author .leaf,
.date .leaf {
  padding: 0;
  padding-top: var(--small-gap);
}

.site {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.main {
  flex: 1;
}

.leaf {
  position: relative;
  display: block;
  width: 100%;
}
.leaf-link {
  display: block;
}

.search .leaf,
.plural > .leaf,
.pagination > .leaf,
.site > * > .leaf,
.header > * > .leaf,
.footer > * > .leaf,
.item > * > .leaf,
.item > .leaf {
  padding: 0 calc(2 * var(--space-unit));
  max-width: var(--max-width);
  margin: auto;
}

.item > .leaf {
  margin: 0 auto;
}

.item > .content.empty .leaf {
  padding: 0;
}

.item > .content > .leaf {
  padding-top: calc(1 * var(--space-unit));
  padding-bottom: calc(3 * var(--space-unit));
}
.name .leaf {
  padding-top: 0;
  padding-bottom: 0;
}

.item > .header > .leaf > .name,
.item > .header > .name {
  font-size: calc(1.5 * var(--fs-quote));
  margin: 0;
}

.item > .content > .leaf > :first-child:not(h2,h3,h4,h5,h6) {
  margin-top: 0;
}

.item > .img .leaf {
  padding: 0;
  overflow: hidden;
  max-width: calc(var(--max-width) - calc(4 * var(--space-unit)));
}

.item > .header > .leaf,
.item > .header > :not(.empty) > .leaf {
  padding-top: calc(1 * var(--space-unit));
  padding-bottom: calc(1 * var(--space-unit));
}

.item > .header > :not(.empty) + :not(.empty) > .leaf {
  padding-top: calc(0 * var(--space-unit));
}
.item > .header > .leaf/* ,
.item > .header > :first-child > .leaf */ {
  padding-top: calc(2 * var(--space-unit));
}
.item > .header > :first-child > .leaf ,
.cartouche > .leaf > :first-child > .leaf {
  padding-top: 0;
}

.item > .header > .empty {
  display: block;
}
.item > .header > .empty:only-child,
.item > .header > .empty + .empty {
  display: none;
}
.item > .header > .empty + :not(.empty) > .leaf {
  padding-top: calc(0 * var(--space-unit));
}

.item > :last-child > .leaf {
  padding-bottom: calc(2 * var(--space-unit));
}
.item > .content > .leaf > :last-child {
  margin-bottom: 0;
}

/* maximize content height
========================== */

.main {
  display: flex;
  flex-direction: column;
}
.item,
.plural {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.plural > .leaf {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.item > .content {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.item > .content > .leaf {
  flex: 1;
}
.is_item.is_items .item {
  flex: 0;
}
.is_item.is_items .item > .content > .leaf {
  padding-bottom: 0;
}

/* icon
======= */

.icon {
  display: inline-block;
  position: relative;
  color: inherit;
}
.icon svg {
  line-height: 0;
  vertical-align: -4px;
}

a > .icon {
  vertical-align: -2px;
}
a > .icon + span {
  margin-left: 0.2rem;
}

/* images
========= */

.img {
  margin: 0;
}
.img img {
  vertical-align: top;
}
.img .leaf {
  padding: 0;
}
.item > .img .leaf {
  background-color: var(--bg-color-deep, rgba(0, 0, 0, 0.5));
}
.item > .img img {
  width: 100%;
  height: auto;
}

/* featured image
================= */

.item > .img {
  padding: 0;
  position: relative;
  overflow: visible;
}
.item > .img > .leaf {
  padding: 0;
  position: relative;
}

.img .leaf {
  background-color: var(--img-color, var(--color-dim-bg));
}

.item > .img figcaption {
  display: inline-block;
  padding-top: 0.1rem;
  position: absolute;
  z-index: 1;
  line-height: 1;
  left: 0;
  right: 0;
  width: 100%;
  max-width: var(--max-width);
  margin: auto;
  font: var(--font-small);
  opacity: 0.8;
  color: #666;
  text-align: right;
  padding-right: calc(2 * var(--space-unit));
  padding-left: calc(2 * var(--space-unit));
}

.img--duplicate-one {
  display: none;
}

.img {
  text-align: center;
}
.item > .img img {
  width: 100%;
  height: auto;
}

@media (orientation: landscape) {
  @supports (object-fit: contain) {
    .item > .img .leaf {
      position: relative;
      height: var(--featured_img_height);
    }
    .item > .img img {
      width: auto;
      height: 100%;
      object-fit: contain;
      margin: auto;
      text-align: center;
    }
    .item > .img .img--duplicate-two {
      position: absolute;
      left: 0;
      right: 0;
    }
    .item > .img .img--duplicate-one {
      display: block !important;
      object-fit: cover !important;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      width: 100%;
      height: 100%;
      transform: scale(1.1);
      filter: blur(6px);
    }
  }
}

/* cartouche
============ */

.cartouche > .leaf > :not(:first-child) {
  border-left: 1px solid;
  padding-left: 0.6rem;
  margin-left: var(--small-gap);
}

/* logo
======= */

.logo a,
.logo h1 {
  margin: 0;
  padding: 0;
  font-size: inherit;
  font-weight: inherit;
  line-height: 1;
  color: inherit;
  text-decoration: inherit;
  display: inline-block;
}
.site__header__logo {
  font-size: 3rem;
}
.site__header__logo .leaf {
  padding-top: calc(2 * var(--space-unit));
  padding-bottom: calc(2 * var(--space-unit));
}

.site-description {
  font-size: 50%;
  display: block;
}

/* terms
======== */

.terms ul {
  margin: 0;
  padding: 0;
  list-style: none;
  font-size: 0;
}
.term {
  display: inline;
}
.term a {
  color: inherit;
  text-decoration: inherit;
  font: var(--font-small);
}
.term a span {
  display: inline-block;
  margin-right: var(--small-gap);
  margin-bottom: var(--small-gap);
  padding: 0.25rem 0.4rem;
  text-transform: uppercase;
  background-color: var(--color-dim-bg, rgba(0, 0, 0, 0.03));
}

/* blockquote
============= */

.wp-block-quote.has-text-align-right,
.wp-block-quote {
  border: none;
}
blockquote::after,
.wp-block-pullquote.is-style-solid-color blockquote::after,
.wp-block-pullquote::after,
.wp-block-quote.is-large::after,
.wp-block-quote.is-style-large::after {
  content: "";
  display: table;
  clear: both;
}
blockquote p,
.wp-block-pullquote.is-style-solid-color blockquote p,
.wp-block-pullquote p,
.wp-block-quote.is-large p,
.wp-block-quote.is-style-large p {
  font-size: var(--fs-quote);
  font-family: var(--ff-quote, var(--ff-main));
}
.wp-block-pullquote cite,
.wp-block-quote__citation,
.wp-block-quote cite,
.wp-block-quote footer {
  color: initial;
  font-size: initial;
  margin: initial;
  text-transform: initial;
}
.wp-block-pullquote cite,
.wp-block-quote cite,
.wp-block-quote.is-style-large cite,
blockquote cite {
  float: right;
  font: var(--font-cite, var(--font-small));
}
.wp-block-pullquote cite::before,
.wp-block-quote cite::before,
.wp-block-quote.is-style-large cite::before,
blockquote cite::before {
  content: "— "
}

.wp-block-quote.is-large,
.wp-block-quote.is-style-large {
  padding: 1.7rem;
}
blockquote {
  margin: 1.5em 0;
  padding: 1.7rem;
  padding-bottom: 1.3rem;
  position: relative;
}
.wp-block-pullquote.has-background blockquote {
  max-width: 70%;
}
.wp-block-pullquote blockquote,
.wp-block-pullquote.has-background blockquote {
  background: transparent;
  position: static;
}
.wp-block-pullquote {
  position: relative;
}
blockquote p:first-of-type::before {
  margin-right: 0.1em;
  content: "\201C";
}
blockquote p:first-of-type::before,
blockquote p:last-of-type::after {
  font-family: Times, serif;
  font-size: 3em;
  line-height: 0;
  vertical-align: -0.4em;
}
blockquote p:last-of-type::after {
  content: "\201D";
  vertical-align: -0.5em;
}
blockquote p {
  display: inline;
}
blockquote br:last-of-type {
  display: none;
}
blockquote cite a {
  color: inherit;
  text-decoration: none;
}

.wp-block-column > blockquote:first-child {
  padding-top: 0;
}


/* input
======== */

.input {
  display: flex;
  border: 1px solid;
}
.input input,
.input textarea,
.input select,
.input button {
  border: 0 none;
  background: transparent;
  color: inherit;
  font: inherit;
  outline: none;
  padding: 0.5rem 0.7rem;
}
.input button svg {
  vertical-align: bottom;
}
.input textarea,
.input select,
.input input {
  flex: 1;
  width: 100%;
}
.input input + button {
  padding-left: 0;
}

/* crumbs
========= */

.crumbs {
  font: var(--font-small);
  text-transform: uppercase;
}
.crumbs .leaf {
  display: flex;
}
.crumbs .crumbs__overflow {
  padding-top: calc(0.5 * var(--space-unit));
  padding-bottom: calc(0.5 * var(--space-unit));
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  line-height: 1.5;
}
.crumbs__pagination .prev {
  position: absolute;
  right: 26px;
}
.crumbs__pagination .next {
  position: absolute;
  right: -2px;
}
.crumbs__pagination {
  position: relative;
  padding-top: calc(0.5 * var(--space-unit));
  padding-bottom: calc(0.5 * var(--space-unit));
  padding-left: calc(0.5 * var(--space-unit));
  padding-right: 54px;
  white-space: nowrap;
}
.crumbs a {
  color: inherit;
  text-decoration: none;
}
.crumb {
  vertical-align: bottom;
}

.crumbs__sep {
  font-family: var(--ff-crumbs-sep);
  color: var(--color-crumbs-sep);
  padding: 0 0.2rem;
}

/* main
======= */

.main {
  word-break: break-word;
}

/* thumbs
========= */

.thumbs {
  display: flex;
  flex-direction: column;
}
.thumbs {
  padding-bottom: calc(2 * var(--space-unit));
  display: grid;
  grid-template-columns: repeat(var(--cols), 1fr);
  grid-row-gap: calc(4 * var(--space-unit));
  grid-column-gap: calc(2 * var(--space-unit));
}

.thumb {
  display: flex;
  flex-direction: column;
}

.thumb__date {
  display: inline-block;
  margin-bottom: var(--small-gap);
}

.thumb,
.vignette,
.adjacent {
  display: flex;
  flex-direction: column;
  gap: var(--small-gap);
}

.adjacent__img,
.vignette__img,
.thumb__img,
.thumb__preview {
  padding: 0;
  margin: 0;
  padding-top: calc(3 / 4 * 100%);
  position: relative;
  background-color: var(--color-dim-bg, rgba(0, 0, 0, 0.03));
}
.adjacent__img a,
.adjacent__img .leaf,
.adjacent__img img,
.vignette__img a,
.vignette__img .leaf,
.vignette__img img,
.thumb__img a,
.thumb__img .leaf,
.thumb__img img,
.thumb__preview > a,
.thumb__preview .img .leaf,
.thumb__preview .img img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.adjacent--product .adjacent__img,
.thumb--product .thumb__img,
.thumb--product .thumb__preview {
  padding-top: 100%;
}
.adjacent--product .adjacent__img img,
.thumb--product .thumb__img img,
.thumb--product .thumb__preview img {
  object-fit: contain;
}

.thumb__preview {
  margin-bottom: var(--space-unit);
}

.adjacent__name,
.vignette__name,
.thumb__name {
  margin-top: var(--small-gap);
  margin-bottom: var(--small-gap);
  font-size: 1.3rem;
  word-break: break-word;
  position: relative;
}

div:not(.empty) + .adjacent__name,
div:not(.empty) + .vignette__name,
div:not(.empty) + .thumb__name {
  margin-top: 0;
}

.direction a,
.vignette__name a,
.thumb__name a {
  display: inline-block;
  width: auto;
}

.adjacent__name:last-child,
.vignette__name:last-child,
.thumb__name:last-child {
  margin-bottom: 0;
}

.adjacent .img.empty,
.vignette .img.empty,
.thumb .img.empty {
  display: block;
}

.adjacent > :first-child:not(.img,.preview) .leaf,
.vignette > :first-child:not(.img,.preview) .leaf,
.thumb > :first-child:not(.img,.preview) .leaf {
  padding-top: 0;
}

.thumb__short_description {
  line-height: 1;
  font-size: 95%;
  margin-bottom: var(--small-gap);
}

/* vignettes
============ */

.vignettes .thumbs {
  padding-top: 0;
}
.vignettes h2 {
  margin-top: 0;
  padding-top: 1rem;
}

/* adjacents
============ */

.adjacents > .leaf {
  display: flex;
  flex-wrap: wrap;
}
.adjacent {
  flex: 1;
  max-width: 180px;
}
.adjacent:last-child {
  margin-left: auto;
}

.adjacent__direction {
  padding: var(--small-gap) 0;
}

.crumbs__pagination svg,
.pagination svg,
.adjacent__direction svg {
  height: 1rem;
  width: 1rem;
  vertical-align: -0.13rem;
}

.adjacent {
  color: inherit;
  text-decoration: none;
}

.adjacent:last-child {
  text-align: right;
}

.adjacent--none {
  opacity: 0;
  pointer-events: none;
}

/* pagination
============= */

.pagination {
  clear: both;
  text-align: center;
}

.pagination .prev {
  float: left;
}
.pagination .next {
  float: right;
}
.crumbs__pagination span.page-numbers,
.pagination span {
  opacity: 0.3;
}
.pagination a {
  text-decoration: none;
}
.pagination .next {
  text-align: right;
}

.pagination span,
.pagination a {
  display: inline-block;
  text-align: center;
  padding: 0.1rem 0.2rem;
  min-width: 1rem;
  min-height: 1.2rem;
}

.page-numbers {
  color: inherit;
}
.page-numbers.current {
  text-decoration: underline;
}

.adjacents > .leaf,
.pagination > .leaf {
  padding-top: calc(3 * var(--space-unit));
  padding-bottom: calc(2 * var(--space-unit));
}

.crumbs__pagination {
  margin-left: auto;
}

/* gallery
========== */

.gallery {
  padding: 0;
}

.gallery__grid {
  padding: 0;
  margin: 0;
  list-style: none;

  width: 100%;
  display: grid;
  grid-column-gap: calc(1 * var(--space-unit));
  grid-row-gap: calc(1 * var(--space-unit));
  grid-template-columns: repeat(var(--gallery-cols), 1fr);
}

.gallery__grid li {
  position: relative;
  width: 100%;
  padding: 0;
}
.gallery__grid figcaption {
  display: none;
}
.gallery__grid li .leaf {
  background-color: var(--img-color, --color-dim-bg);
}
.gallery__grid li .leaf:before {
  content: "";
  width: 100%;
  display: block;
  padding-top: 100%;
}
.gallery__grid li > .leaf > svg,
.gallery__grid li > .leaf > img,
.gallery__grid li > .leaf > a > img,
.gallery__grid li > .leaf > a {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.gallery--contain .gallery__grid li .leaf {
  background-color: transparent;
}
.gallery--contain .gallery__grid li > .leaf,
.gallery--contain .gallery__grid li > .leaf > svg,
.gallery--contain .gallery__grid li > .leaf > img {
  object-fit: contain;
}

/* menu
======= */

.menu ul {
  list-style: none;
  padding-left: 0rem;
  line-height: 1.2;
}
.menu__item ul {
  padding-left: 1.3rem;
}
.menu__link {
  color: inherit;
  text-decoration: none;
}
.menu em {
  cursor: default;
}
.menu__item {
  position: relative;
  letter-spacing: 0.3px;
}
.menu__item .icon {
  margin-top: -5px;
  transform: translateY(2px);
}
.menu__item.active > .menu__link,
.menu__item.active > span {
  color: var(--color-active, inherit);
}

/* header menu
============== */

.header .menu .leaf {
  text-align: right;
  padding-top: calc(1 * var(--space-unit));
  padding-bottom: calc(1 * var(--space-unit));
}
.header .menu ul {
  margin: 0;
}
.header .menu .leaf > ul {
  display: inline-flex;
  flex-wrap: wrap;
}
.header .menu .leaf > ul > li {
  display: inline-block;
  text-align: left;
  padding: 0.2rem 0.5rem;
}

.header .menu .leaf > ul > .menu__item--icon {
  padding-right: 0;
}

.header .menu .leaf > ul > li:last-of-type {
  padding-right: 0;
}
.header .menu .leaf > ul > li:not(.menu__item--icon):not(:last-of-type) {
  border-right: 1px solid;
  border-color: var(--color-header-menu-sep);
}

.js .header .menu ul ul {
  display: none;
}

/* nav menu
=========== */

.nav__close.empty {
  display: block;
}
body > .nav > .scroller {
  overflow: hidden;
}
.open-nav > .nav > .scroller {
  overflow-y: visible;
  overflow-x: hidden;
}

.open-nav > .nav > .scroller {
  -ms-overflow-style: none; /* Internet Explorer 10+ */
  scrollbar-width: none; /* Firefox */
}
.open-nav > .nav > .scroller::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}

body > .nav > .scroller {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: auto;
  height: auto;
}
body > .nav > .scroller > .leaf {
  position: absolute;
  top: 0;
  right: 0;
  width: var(--nav-width);
  max-width: 100vw;
  padding: calc(2 * var(--space-unit));
  padding-top: calc(1 * var(--space-unit));
}
body > .nav > .scroller > .leaf li a {
  font-size: 130%;
  display: inline-block;
  padding: 0.4rem;
}

/* search
========= */

.search form {
  margin-bottom: 0;
}

body > .nav .nav__close,
body > .search .search__close {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: auto;
  height: auto;
}
body > .search .search__close {
  display: block;
}
.nav__close *,
.search__close * {
  display: none;
}
body > .search > form > .leaf > .input {
  margin: calc(4 * var(--space-unit));
  margin-top: calc(7 * var(--space-unit));
  position: relative;
  z-index: 1;
}
body > .search > form > .leaf {
  background-color: transparent;
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: auto;
  height: 100vh;
}

/* panels
========= */

body {
  width: 100%;
}

body > .nav,
body > .search {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: auto;
  height: auto;
  display: none;
  z-index: 90000;
}

.open-search > .search,
.open-nav > .nav {
  display: block;
}

body > .nav > .scroller > .leaf {
  right: calc(-1 * var(--nav-width));
  transition: right var(--anim-speed);
}
.open-nav > .nav > .scroller > .leaf {
  right: 0;
}

body > .search > form > .leaf {
  top: -100vh;
  transition: top var(--anim-speed);
}
.open-search > .search > form > .leaf {
  top: 0;
}

/* hamburger
============== */
/* https://github.com/jonsuh/hamburgers */

.handy {
  position: fixed;
  z-index: 99993;
  top: calc(1 * var(--space-unit));
  right: calc(2 * var(--space-unit));

  display: flex;
  align-items: center;
  gap: var(--space-unit);
}

.handy svg {
  height: 2.5rem;
  width: 2.5rem;
}

.handy a {
  color: inherit;
  text-decoration: none;
}

:root {
  --hamburger-speed: 1.6;
}

.hamburger {
  position: relative;
  transition-property: opacity;
  transition-duration: 0s;
  transition-timing-function: linear;
  background-color: transparent;
  border: 0;
  box-shadow: none;
  transform: none;
  padding: 25px;
  width: 50px;
  height: 25px;
  text-align: center;
  --mult: var(--hamburger-speed);
  --speed: calc(0.075s * var(--mult));
  --delay: calc(0.12s * var(--mult));
}

.hamburger {
  position: fixed;
  z-index: 999999;
  top: calc(1rem + var(--admin-bar));
  right: 1.5rem;
}

.hamburger-inner {
  display: block;
  left: 5px;
  top: 50%;
  margin-top: -2px;
}
.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 40px;
  height: 4px;
  background-color: currentColor;
  position: absolute;
  transition-property: transform;
  transition-timing-function: ease;
}
.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}
.hamburger-inner::before {
  top: -10px;
}
.hamburger-inner::after {
  bottom: -10px;
}

.hamburger-inner {
  transition-duration: var(--speed);
  transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
}
.hamburger-inner::before {
  transition: top var(--speed) var(--delay) ease, opacity var(--speed) ease;
}
.hamburger-inner::after {
  transition: bottom var(--speed) var(--delay) ease,
    transform var(--speed) cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.fancybox-active .hamburger,
.is-open .hamburger {
  opacity: 1;
  pointer-events: auto;
  transition-duration: 0.366s;
}

.fancybox-active .hamburger-inner,
.is-open .hamburger-inner {
  transform: rotate(45deg);
  transition-delay: var(--delay);
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}
.fancybox-active .hamburger-inner::before,
.is-open .hamburger-inner::before {
  top: 0;
  transition: top var(--speed) ease;
}
.fancybox-active .hamburger-inner::after,
.is-open .hamburger-inner::after {
  bottom: 0;
  transform: rotate(-90deg);
  transition: bottom var(--speed) ease,
    transform var(--speed) var(--delay) cubic-bezier(0.215, 0.61, 0.355, 1);
}

/* fancybox
=========== */

.compensate-for-scrollbar {
  margin: 0 !important;
}
.fancybox-bg {
  background: var(--color-bg);
}
.fancybox-is-open .fancybox-bg {
  opacity: 1;
}
.fancybox-caption {
  background: transparent;
  color: var(--color-fg);
}
.fancybox-button,
.fancybox-button:hover,
.fancybox-button[disabled],
.fancybox-button[disabled]:hover {
  background: transparent;
  color: var(--color-fg);
}
.fancybox-show-nav .fancybox-navigation .fancybox-button[disabled],
.fancybox-show-nav .fancybox-navigation .fancybox-button {
  top: 0;
  bottom: 0;
  height: auto;
}
.fancybox-show-nav .fancybox-navigation .fancybox-button[disabled]:hover {
  animation: none;
  opacity: 0.5;
}
.fancybox-show-nav .fancybox-navigation .fancybox-button:hover {
  animation: none;
  opacity: 1;
}

/* Archives headers
=================== */

.author_page__header,
.term_page__header {
  margin-top: calc(2 * var(--space-unit));
}
.author_page__header__img,
.term_page__header__img {
  width: 130px;
  height: 130px;
  position: relative;
  float: left;
  margin-right: calc(2 * var(--space-unit));
  margin-bottom: calc(2 * var(--space-unit));
}
.author_page__header__img .leaf,
.term_page__header__img .leaf,
.author_page__header__img img,
.term_page__header__img img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center;
}

.author_page__header__contacts > :not(.empty),
.term_page__header__contacts > :not(.empty),
.author_page__header > .leaf > :not(.empty),
.term_page__header > .leaf > :not(.empty) {
  display: block;
}

.author_page__header__title,
.term_page__header__title {
  margin-bottom: 1rem;
}

.author_page__header__name,
.term_page__header__name {
  margin: 0;
  font-size: 2rem;
}

.is_tax .plural__thumbs,
.is_author .plural__thumbs {
  padding-top: 0;
}

/* form
======= */

textarea,
button,
select,
input:not([name=s]):not([type=button]):not([type=submit]):not([type=reset]):not([type=checkbox]):not([type=radio]):not([type=range]) {
  border: 1px solid #999;
  padding: 0.25rem 0.5rem;
  line-height: 1.5;
  background: var(--color-bg);
}

select {
  height: 2.125rem;
}

input[type="button"],
input[type="reset"],
input[type="submit"],
button,
.button,
.restore-item,
.wp-element-button {
  border: 1px solid #999;
  border-radius: 3px;
  background-color: var(--color-dim-bg, rgba(0, 0, 0, 0.03));
  padding: 0.25rem 0.5rem;
  color: var(--color-fg, #000);
  text-decoration: none;
  line-height: 1.5;
  display: inline-block;
  text-align: center;
  user-select: none;
}

abbr.required {
  text-decoration: none;
  color: #ff5b72;
}

fieldset {
  border: 1px solid #999;
  padding: var(--space-unit);
  padding-top: 0;
}
fieldset p:last-child{
  margin-bottom: 0;
}

legend {
  padding: 0 0.5rem;
  margin-left: -0.5rem;
}

.woocommerce-form-row em {
  font-size: 85%;
}

/* shop
======= */

.woocommerce-notices-wrapper:empty {
  display: none;
}
.notices,
.woocommerce-notices-wrapper {
  background-color: #000;
  color: #fff;

  position: sticky;
  z-index: 999999;
  bottom: 0;
  left: 0;
  right: 0;
  padding: var(--space-unit);

  max-height: 100px;
  overflow: auto;

  animation-name: slideUp;
  animation-duration: 0.3s;
  animation-timing-function: ease-in;
}
.woocommerce-error {
  margin: 0;
  padding-left: 1rem;
  color: #ff5b72;
}

.wc-forward {
  float: right;
}

.gallery--product {
  margin-top: var(--space-unit);
}

.handy-cart {
  display: flex;
  align-items: center;
  gap: var(--small-gap);
}
.handy-icon {
  display: flex;
  align-items: flex-start;
}
.handy-cart-count {
  background-color: var(--color-primary-bg);
  color: var(--color-primary-fg);
  font-size: 80%;
  display: inline-block;
  padding: 0em 0.45em;
  padding-top: 0.05em;
  border-radius: 999px;
  margin-left: -1rem;
  margin-top: -0.3rem;
  position: relative;
}

/* responsive
============= */

@media only screen and (max-width: 900px) {
  body {
    --cols: 3;
  }
}
@media only screen and (max-width: 600px) {
  body {
    --cols: 2;
    --space-unit: 0.8rem;
    --fs-quote: 1.13rem;
  }
  .gallery {
    --gallery-cols: 3 !important;
  }
  .adjacents > .leaf {
    grid-template-columns: repeat(2, 1fr);
  }
  .adjacent:last-child {
    grid-column: unset;
  }
  body > .search .input {
    margin: calc(3 * var(--space-unit));
  }
}
@media only screen and (max-width: 450px) {
  body {
    --cols: 1;
    --space-unit: 0.6rem;
  }
  .gallery {
    --gallery-cols: 2 !important;
  }
  body > .search .input {
    margin: calc(2 * var(--space-unit));
  }
  .hamburger {
    transform: scale(0.6);
    top: calc(0.5 * var(--space-unit));
    right: calc(1 * var(--space-unit));
  }
}

@media only screen and (max-width: 320px) {
  body {
    --cols: 1;
  }
  .gallery {
    --gallery-cols: 1 !important;
  }
  .adjacents > .leaf {
    grid-template-columns: repeat(1, 1fr);
  }
  .thumbs {
    grid-row-gap: calc(6 * var(--space-unit));
  }
}

/* admin-bar
============ */

:root {
  --admin-bar: 0px;
}
.admin-bar {
  --admin-bar: 32px;
}
.admin-bar .browserupgrade,
.admin-bar .handy,
.admin-bar > .nav .nav__close,
.admin-bar > .search .search__close,
.admin-bar > .nav,
.admin-bar > .search {
  margin-top: var(--admin-bar);
}
.admin-bar .site {
  padding-top: var(--admin-bar);
}

@media screen and (max-width: 782px) {
  :root {
    --admin-bar: 46px;
  }
}

@media screen and (max-width: 600px) {
  #wpadminbar {
    position: fixed;
  }
}

.price del {
  opacity: 0.5;
}
.price ins {
  text-decoration: none;
}

.thumb {
  position: relative;
}

.thumb__product-footer {
  margin-top: auto;
}
.thumb .add_to_cart .button {
  margin-top: var(--space-unit);
  width: 100%;
}

/*  */

/* .availability, */
.sale {
  background-color: #000;
  color: #fff;
  width: 100%;
  text-align: center;
  padding: 0.25rem 0.5rem;
}

.thumb__availability,
.thumb__sale {
  font-size: 80%;
}

.thumb__short_description,
.thumb__price {
  margin-top: var(--space-unit);
  margin-bottom: var(--space-unit);
}

.thumb__price {
  margin-bottom: auto;
}
.thumb__price,
.thumb__add_to_cart {
  margin-top: auto;
}

:root {
  --sigil: circle(42%);
  --sigil-bg: var(--color-fg);
}
.in-stock {
  --sigil: path("M9 16.17 4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z");
  --sigil-bg: var(--color-success-bg);
}
.out-of-stock {
  --sigil: path("M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z");
  --sigil-bg: var(--color-danger-bg);
}
.available-on-backorder {
  --sigil: path("M21 9a1 1 0 0 1 1 1 1 1 0 0 1-1 1h-4.5l-.1 1.2-2.2 5c-.2.4-.7.8-1.3.8H8.5c-.8 0-1.5-.7-1.5-1.5V10c0-.4.2-.7.4-1l4.2-4.9.8.7c.2.2.3.5.3.8v.2L11 9h10M2 18v-8h3v8H2Z");
  --sigil-bg: var(--color-warning-bg);
}

.availability {
  position: relative;
  display: flex;
  align-items: center;
  gap: 0.3rem;
}

.availability__sigil {
  display: inline-block;
  width: 12px;
  height: 12px;
  transform: translate(0px, -1px);
  position: relative;
  color: #fff;
}

.availability__sigil::before {
  content: "";
  position: absolute;
  inset: -2px;
  clip-path: circle(50%);
  background-color: var(--sigil-bg);
}

.availability__sigil::after {
  content: "";
  background-color: var(--sigil-fg, currentColor);
  clip-path: var(--sigil, circle(42%));
  width: 24px;
  height: 24px;
  transform-origin: top left;
  transform: scale(0.5);
  position: absolute;
  top: 0;
  left: 0;
}

.price {
  white-space: nowrap;
}

/*  */

.woocommerce-message,.woocommerce-info,.woocommerce-error,.woocommerce-noreviews,p.no-comments {
  position: relative;
  list-style: none outside;
}

.woocommerce-message .button,.woocommerce-info .button,.woocommerce-error .button,.woocommerce-noreviews .button,p.no-comments .button {
  order: 999;
  width: auto;
  margin-left: auto;
}

.woocommerce-message {
  display: flex;
  align-items: center;
}

.woocommerce-MyAccount-content .woocommerce-Button {
  margin-right: var(--small-gap);
}

.add-to-cart-block {
  display: flex;
  align-items: center;
  gap: var(--small-gap);
  margin-top: var(--space-unit);
}

.add-to-cart-block .quantity {
  margin-left: auto;
}

/* product layout
================= */

.layout {
  display: flex;
  gap: 1rem;
}
.layout .card {
  flex: 1;
}
.layout .media {
  flex: 1;
}

.product__layout__card__name {
  margin-top: 0.2rem;
}

/*  */
/*  */
/*  */
/*  */

.slider {
  position: relative;
  /* height: var(--slider-height, 15lh); */
}

.slider:not(.slick-initialized) > .slide:not(:first-child) {
  display: none !important;
}

.slide {
  height: var(--slider-height, 15lh);
  overflow: hidden;
  position: relative;

  display: flex !important;
  align-items: center;
  justify-content: center;
}
.slide * {
  margin: 0;
  line-height: 1.1;
  text-wrap: balance;
}
.slide h3 {
  font-size: 200%;
  line-height: 0.95;
  margin-bottom: 0.25rem;
}
.slide > div {
  position: relative;
  flex: 1;
  padding: 1rem 2rem;
  z-index: 1;
  color: #fff;
  background-color: #0009;
  margin: 0;
}
.slide > img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  z-index: 0;
}

/*  */

.slick-arrow {
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  opacity: 0;
  width: 6%;
}
.slick-prev {
  left: 0;
  cursor: w-resize;
}
.slick-next {
  right: 0;
  cursor: e-resize;
}

.slick-dotted {
  margin-bottom: 2rem;
}
.slick-dots {
  position: absolute;
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
  padding-top: 0.5rem;
  gap: 0.5rem;
  width: 100%;
  justify-content: center;
}
.slick-dots button {
  color: transparent;
  /* font-size: 0px; */
  background-color: #000;
  border: none;
  border-radius: 9999px;
  padding: 0;
  width: 0.65rem;
  height: 0.65rem;
}
.slick-dots .slick-active button {
  background-color: var(--color-orange);
}

